Skip to main content

Followers by Date Range

Get historical follower counts per day within a date range.

GET
/follower/byDateRange
x-api-key<token>

API key used for authentication

In: header

Query Parameters

days?integer

Number of days to look back (1-365, default 30)

Default30
Range1 <= value <= 365
startDate?string

Start date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
endDate?string

End date (ISO 8601)

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Formatdate-time
platform?string

Filter by platform (e.g. twitch, youtube)

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/follower/byDateRange"
{
  "followers": [
    {
      "date": "2024-01-15",
      "followerCount": 1000
    },
    {
      "date": "2024-01-16",
      "followerCount": 1010
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {}
}